Subject: Re: [PATCH net-next v13 4/4] net: dsa: add basic initial driver for MxL862xx switches

From: Jakub Kicinski <[email-masked]>
Date: Fri, 6 Feb 2026 18:52:52 -0800

On Fri, 6 Feb 2026 03:14:26 +0000 Daniel Golle wrote:
> Other drivers which operate on similar APIs (many GPU drivers, for
> example) also use #pragma pack(push, 1) in header files defining
> external API. Also there all external API definitions are kept in a
> separate file, away from any of the datastructures used by the driver
> internally at runtime.

No pragma pack in networking drivers please. However, well considered
your application of it is the next guy will sprinkle it randomly
and argue that it's already used in other places.

GPU folks are special, they'd probably write their code in C++ if they
could?